#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;
in float depthLevel;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0) * vertexColor * ColorModulator;
    if (color.a < 0.1) discard;

    if (depthLevel == 0) {
	  if (color.r > 0.2441 && color.r < 0.2442 && color.r == color.g && color.r == color.b) {
        color.rgb = vec3(0.0);
      } else if (color.r > 0.2480 && color.r < 0.2481 && color.r == color.g && color.r == color.b) {
        color.rgb = vec3(1.0);
      } else if (color.r > 0.3294 && color.r < 0.3295 && color.r == color.g && color.r == color.b) {
        color.rgb = vec3(0.85, 0.9, 0.95);
      } else if (color.r > 0.403 && color.r < 0.4031 && color.g > 0.3642 && color.g < 0.3643 && color.b > 0.2867 && color.b < 0.2868) {
        color.rgb = vec3(0.78, 1.0, 0.56);
      }
	}

    fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor);
}
